



.flat,
.flat div,
.flat li,
.flat div::after,
.flat .carat,
.flat .carat:after,
.flat .selected::after,
.flat:after{
	-webkit-transition: all 150ms ease-in-out;
	-moz-transition: all 150ms ease-in-out;
	-ms-transition: all 150ms ease-in-out;
	transition: all 150ms ease-in-out;
}

.flat .selected::after,
.flat.scrollable div::after{
	-webkit-pointer-events: none;
	-moz-pointer-events: none;
	-ms-pointer-events: none;
	pointer-events: none;
}

/* WRAPPER */

.flat{
	float:right;
	position: relative;
	width: 110px;
	cursor: pointer;
	padding: 4px 0px 4px 3px;
	color: #C00;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	font-family: "微軟正黑體";
	font-size: 12px;
	border: 1px solid #B20000;
	background-image: url(../img/layout/select_bg.png);
	background-repeat: no-repeat;
	background-position: right 4px;
	text-align: left;
	background-color: #FFF;
}

.flat.open{
	z-index: 2;
}

.flat:hover,
.flat.focus{
	
}



/* OLD SELECT (HIDDEN) */

.flat .old{
	position: absolute;
	left: 0;
	top: 0;
	height: 0;
	width: 0;
	overflow: hidden;
}

.flat select{
	position: absolute;
	left: 0px;
	top: 0px;
}

.flat.touch select{
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
}

/* SELECTED FEEDBACK ITEM */ 
.flat .selected {
	
}

.flat .selected,
.flat li{
	display: block;
	font-size: 12px;

	text-transform: uppercase;
	line-height: 1;
	padding: 2px 2px;
	overflow: hidden;
	white-space: nowrap;
}

.flat .selected::after{
	content: '';
	position: absolute;
	right: 0;
	top: 0;
	bottom: 0;


}

.flat:hover .selected::after,
.flat.focus .selected::after{

}

/* DROP DOWN WRAPPER */

.flat div{
	position: absolute;
	height: 0;
	left: 0;
	right: 0;
	top: 100%;
	margin-top: 1px;
	overflow: hidden;
	opacity: 0;
	color: #CC0000;
	border: 1px solid #C00;
	background-color: #FFF;
}

.flat:hover div{
	
	

}

/* Height is adjusted by JS on open */

.flat.open div{
	opacity: 1;
	z-index: 2;
}

/* FADE OVERLAY FOR SCROLLING LISTS */

.flat.scrollable div::after{
	content: '';
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	height: 50px;
	

}

.flat.scrollable:hover div::after{
	
}

.flat.scrollable.bottom div::after{
	opacity: 0;
}

/* DROP DOWN LIST */

.flat ul{
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	list-style: none;
	overflow: hidden;
	
}

.flat.scrollable.open ul{
	overflow-y: auto;
}

/* DROP DOWN LIST ITEMS */

.flat li{
	list-style: none;
	padding: 8px 4px;

}

.flat li:last-child {
    border-bottom: 0;
}

/* .focus class is also added on hover */

.flat li.focus{
	position: relative;
	z-index: 3;
	color: #fff;
	background-color: #CC0000;
}

.flat li.active{
	background-color: #CC0000;
	color: #fff;
}